Bug 171956 - astro/sunclock: Update to version 3.57
Summary: astro/sunclock: Update to version 3.57
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-25 19:10 UTC by tkato432
Modified: 2013-02-04 09:40 UTC (History)
0 users

See Also:


Attachments
file.diff (10.47 KB, patch)
2012-09-25 19:10 UTC, tkato432
no flags Details | Diff
astro_sunclock.diff (11.43 KB, patch)
2012-12-01 18:00 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-09-25 19:10:07 UTC
- Update to version 3.57

New file:
files/patch-widgets.c

Remove file:
files/patch-Imakefile
files/patch-editkit_Imakefile
Comment 1 Edwin Groothuis freebsd_committer 2012-09-25 19:10:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2012-10-29 09:51:13 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Reassign to the heap miwi being overloaded for now
Comment 3 Armin Pirkovitsch freebsd_committer 2012-10-29 17:55:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sperber

I'll take it.
Comment 4 Armin Pirkovitsch freebsd_committer 2012-12-01 08:52:27 UTC
State Changed
From-To: open->feedback

Fails to build on 9.X and 10.X.  Please have a closer look at.
Comment 5 tkato432 2012-12-01 18:00:00 UTC
Here is the corrected patch.
Comment 6 Martin Wilke freebsd_committer 2013-02-04 09:36:37 UTC
Responsible Changed
From-To: sperber->miwi

I'll take it.
Comment 7 dfilter service freebsd_committer 2013-02-04 09:36:39 UTC
Author: miwi
Date: Mon Feb  4 09:36:28 2013
New Revision: 311591
URL: http://svnweb.freebsd.org/changeset/ports/311591

Log:
  - Update to 3.57
  
  PR:		171956
  Submitted by:	Ports Fury

Added:
  head/astro/sunclock/files/patch-widgets.c   (contents, props changed)
Deleted:
  head/astro/sunclock/files/patch-Imakefile
  head/astro/sunclock/files/patch-editkit_Imakefile
Modified:
  head/astro/sunclock/Makefile   (contents, props changed)
  head/astro/sunclock/distinfo   (contents, props changed)
  head/astro/sunclock/files/patch-sunclock.c   (contents, props changed)
  head/astro/sunclock/pkg-descr   (contents, props changed)
  head/astro/sunclock/pkg-plist   (contents, props changed)

Modified: head/astro/sunclock/Makefile
==============================================================================
--- head/astro/sunclock/Makefile	Mon Feb  4 09:34:00 2013	(r311590)
+++ head/astro/sunclock/Makefile	Mon Feb  4 09:36:28 2013	(r311591)
@@ -1,30 +1,68 @@
-# ex:ts=8
-# New ports collection makefile for:	sunclock
-# Date created:		15 September 1996
-# Whom:			torstenb
-#
+# Created by: torstenb
 # $FreeBSD$
-#
 
 PORTNAME=	sunclock
-PORTVERSION=	3.56
-PORTREVISION=	5
+PORTVERSION=	3.57
 CATEGORIES=	astro x11-clocks
-MASTER_SITES=	ftp://ftp.ac-grenoble.fr/ge/geosciences/sunclock/ \
-		http://mbsd.msk.ru/dist/
+MASTER_SITES=	http://www.arvernes.com/files/jpd/ \
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Shows which portion of the Earth's surface is illuminated by the Sun
 
-LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg \
+LICENSE=	GPLv2
+
+LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg \
 		png15:${PORTSDIR}/graphics/png
 
 USE_BZIP2=	yes
 USE_XORG=	xpm
-USE_IMAKE=	yes
-CFLAGS+=	-I${LOCALBASE}/include
-CPPFLAGS+=	-I${LOCALBASE}/include
+MAKE_JOBS_SAFE=	yes
+
+CPPFLAGS+=	$$(libpng-config --I_opts) \
+		-I${LOCALBASE}/include \
+		-DEMXBINDIR=\\\"${PREFIX}/bin\\\" \
+		-DDOCDIR=\\\"${PREFIX}/lib/X11/doc\\\"
+LDFLAGS+=	$$(libpng-config --L_opts) \
+		-L${LOCALBASE}/lib
 
 MAN1=		sunclock.1
 
+post-patch:
+	@cd ${WRKSRC} && ${SED} -e \
+		'/^DESTDIR/s|=.*|=${PREFIX}| ; \
+		 s|/X11R6/man|$$(DESTDIR)/man| ; \
+		 s|bin/X11|bin| ; \
+		 s|^CC=|CC?=| ; \
+		 s|^CFLAGS=|CFLAGS+=| ; \
+		 s|-I/usr/include/X11|$${CPPFLAGS}| ; \
+		 s|-L/usr/X11R6/lib|$${LDFLAGS}| ; \
+		 s| make | $$(MAKE) | ; \
+		 s|$$(SHAREDIR)/bin|$$(DESTDIR)/bin| ; \
+		 s|$$(SHAREDIR)/editkit|$$(DESTDIR)/share/sunclock/editkit|' \
+			< Makefile.noimake > Makefile
+	@${LN} -sf sunclock.man ${WRKSRC}/sunclock.1
+	@${REINPLACE_CMD} -e \
+		's|= -O2|+= $${CPPFLAGS}| ; \
+		 s|-L/usr/X11R6/lib|$${LDFLAGS}| ; \
+		 s|gcc |$$(CC) |' ${WRKSRC}/editkit/Makefile.kit
+	@${LN} -sf rc.example ${WRKSRC}/editkit/emxrc
+	@${REINPLACE_CMD} -e \
+		's|gzFile \* fd;|gzFile fd;|' ${WRKSRC}/readvmf.c
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/sunclock ${PREFIX}/bin
+	${INSTALL_MAN} ${WRKSRC}/sunclock.1 ${MANPREFIX}/man/man1
+	@${MKDIR} ${DATADIR}
+	${INSTALL_DATA} ${WRKSRC}/Sunclockrc ${DATADIR}
+	@${MKDIR} ${DATADIR}/earthmaps/vmf
+	${INSTALL_DATA} ${WRKSRC}/vmf/*.vmf ${DATADIR}/earthmaps/vmf
+	@${GZIP_CMD} ${DATADIR}/earthmaps/vmf/*.vmf
+	@${MKDIR} ${DATADIR}/i18n
+	${INSTALL_DATA} ${WRKSRC}/i18n/Sunclock.?? ${DATADIR}/i18n
+	${INSTALL_PROGRAM} ${WRKSRC}/editkit/emx ${PREFIX}/bin
+	@${MKDIR} ${DATADIR}/editkit
+	${INSTALL_DATA} ${WRKSRC}/editkit/MANUAL.emacs ${DATADIR}/editkit
+	${INSTALL_DATA} ${WRKSRC}/editkit/README ${DATADIR}/editkit
+	${INSTALL_DATA} ${WRKSRC}/editkit/emxrc ${DATADIR}/editkit
+
 .include <bsd.port.mk>

Modified: head/astro/sunclock/distinfo
==============================================================================
--- head/astro/sunclock/distinfo	Mon Feb  4 09:34:00 2013	(r311590)
+++ head/astro/sunclock/distinfo	Mon Feb  4 09:36:28 2013	(r311591)
@@ -1,2 +1,2 @@
-SHA256 (sunclock-3.56.tar.bz2) = 27871a3f0d908e887dcbf128cc3722b9a62daa8748d21e241f7882b29c62a22f
-SIZE (sunclock-3.56.tar.bz2) = 1313390
+SHA256 (sunclock-3.57.tar.bz2) = 4328200ceaa31160e901fb855d664033566d72b26a90605acc5d0ed9365402be
+SIZE (sunclock-3.57.tar.bz2) = 1325138

Modified: head/astro/sunclock/files/patch-sunclock.c
==============================================================================
--- head/astro/sunclock/files/patch-sunclock.c	Mon Feb  4 09:34:00 2013	(r311590)
+++ head/astro/sunclock/files/patch-sunclock.c	Mon Feb  4 09:36:28 2013	(r311591)
@@ -59,16 +59,6 @@
          Context->projtime = -1L;
          Context->roottime = -1L;
          Context->animtime = -1L;
-@@ -3142,8 +3131,8 @@
- {
-    int ilon, ilat, width, dw = 0;
-    struct TextLabel * label;
--   if(!Context->wintype) return;
-    char *text, *text0, *ptr;
-+   if(!Context->wintype) return;
- 
-    label = Context->label;
-    while (label) if (label->text && *label->text) {
 @@ -3918,7 +3907,7 @@
  
          if (button_pressed) return;

Added: head/astro/sunclock/files/patch-widgets.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/astro/sunclock/files/patch-widgets.c	Mon Feb  4 09:36:28 2013	(r311591)
@@ -0,0 +1,9 @@
+--- widgets.c.orig	2011-07-09 18:51:18.000000000 +0900
++++ widgets.c	2012-08-14 04:13:36.000000000 +0900
+@@ -1,6 +1,5 @@
+ #include <unistd.h>
+ #include <sys/types.h>
+-#include <sys/timeb.h>
+ #include <sys/stat.h>
+ #include <string.h>
+ 

Modified: head/astro/sunclock/pkg-descr
==============================================================================
--- head/astro/sunclock/pkg-descr	Mon Feb  4 09:34:00 2013	(r311590)
+++ head/astro/sunclock/pkg-descr	Mon Feb  4 09:36:28 2013	(r311591)
@@ -1,9 +1,19 @@
-This program is a clock that shows which portion of the Earth's surface is
-illuminated by the sun.  It is designed to be usually iconic, but can be
-opened for a larger display with the time updated every second and both the
-local time zone and UTC displayed.  The Suntools version had a menu that
-allowed you to speed up time, show different dates, etc., but I have
-never implemented any of that in the X version; there is some support
-for it in the code, however.
+Sunclock is an X11 application that displays a map of the Earth and
+shows the illuminated portion of the globe. In addition to providing
+local time for the default timezone, it also displays GMT time,
+legal and solar time of major cities, their latitude and longitude,
+the mutual distances of arbitrary locations on Earth, the position
+at zenith of Sun and Moon. Sunclock can display meridians, parallels,
+tropics and arctic circles. It has builtin functions that accelerate
+the speed of time and show the evolution of seasons. Sunclock can
+be internationalized for various western languages. It is possible
+to customize the app-default file and enter additional city entries.
 
-WWW: http://frmas.free.fr/li_1.htm
+Sunclock can commute between two states, the "clock window" and the
+"map window". The clock window displays a small map of the Earth
+and therefore occupies little space on the screen, while the "map
+window" displays a large map and offers more advanced functions.
+The Sunclock package includes a resizable and zoomable vector map.
+External Earth maps can also be loaded.
+
+WWW: http://www.arvernes.com/wiki/index.php/Sunclock

Modified: head/astro/sunclock/pkg-plist
==============================================================================
--- head/astro/sunclock/pkg-plist	Mon Feb  4 09:34:00 2013	(r311590)
+++ head/astro/sunclock/pkg-plist	Mon Feb  4 09:36:28 2013	(r311591)
@@ -1,9 +1,9 @@
 bin/emx
 bin/sunclock
 %%DATADIR%%/Sunclockrc
-%%DATADIR%%/earthmaps/vmf/countries.vmf
-%%DATADIR%%/earthmaps/vmf/landwater.vmf
-%%DATADIR%%/earthmaps/vmf/timezones.vmf
+%%DATADIR%%/earthmaps/vmf/countries.vmf.gz
+%%DATADIR%%/earthmaps/vmf/landwater.vmf.gz
+%%DATADIR%%/earthmaps/vmf/timezones.vmf.gz
 %%DATADIR%%/editkit/MANUAL.emacs
 %%DATADIR%%/editkit/README
 %%DATADIR%%/editkit/emxrc
@@ -15,9 +15,9 @@ bin/sunclock
 %%DATADIR%%/i18n/Sunclock.nl
 %%DATADIR%%/i18n/Sunclock.no
 %%DATADIR%%/i18n/Sunclock.pl
-%%DATADIR%%/i18n/Sunclock.se
-@dirrmtry %%DATADIR%%/i18n
-@dirrmtry %%DATADIR%%/editkit
-@dirrmtry %%DATADIR%%/earthmaps/vmf
-@dirrmtry %%DATADIR%%/earthmaps
-@dirrmtry %%DATADIR%%
+%%DATADIR%%/i18n/Sunclock.sv
+@dirrm %%DATADIR%%/i18n
+@dirrm %%DATADIR%%/editkit
+@dirrm %%DATADIR%%/earthmaps/vmf
+@dirrm %%DATADIR%%/earthmaps
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Martin Wilke freebsd_committer 2013-02-04 09:36:44 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!